#include <bits/stdc++.h>

using namespace std;

int del(int k, int n) {

    int s = (int)sqrt(k);
    for(int i = 1; i <= s; i++)
        if(k % i == 0 && i + (k / i) <= n)
            return i;

    return -1;
}

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int n, k, x;
    cin >> n >> k >> x;

    int a = del(k, n), b = k / a;
    if(a == -1) {
        cout << a << endl;
        return 0;
    }

    for(int i = 0; i < n; i++) {
        if(i < a) {
            cout << "1 ";
            continue;
        }

        if(i < a + b) {
            cout << x + 1 << " ";
            continue;
        }

        cout << "2 ";
    }

    cout << endl;
    return 0;
}